# Uses of Interface
java.lang.constant.PackageDesc

Packages that use PackageDesc
Package
Description
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.

## Uses of PackageDesc in java.lang.constant

Methods in java.lang.constant that return PackageDesc
Modifier and Type
Method
Description
`static PackageDesc`
PackageDesc.`of(String name)`
Returns a `PackageDesc` for a package, given the name of the package, such as `"java.lang"`.
`static PackageDesc`
PackageDesc.`ofInternalName(String name)`
Returns a `PackageDesc` for a package, given the name of the package in internal form, such as `"java/lang"`.